# Installation and Setup Guide for Vodlix

To get started with Vodlix, follow these steps to install and set up the system:

1. Extract the Vodlix zip file to the root directory of your server.
2. Install MongoDB 4.4 and Python 3 on your server. Refer to the `Readme.txt` file in the `main directory > processors` folder for detailed instructions.
3. Create a MySQL database and restore it from the default DB file.
4. Go to the API folder and run the `composer install` command.
5. Copy `.env.example` and rename it as `.env`.
6. Update the `.env` file with your MySQL and MongoDB details.
7. Run the following command in the API folder: `./vendor/bin/phinx status`. If everything is up, you're good to go. Otherwise, run `./vendor/bin/phinx migrate`.
8. Go back to the main directory.
9. Go to the `includes` folder and copy the `dbconnect.php.sample` file to `dbconnect.php`.
10. Go to the `frontend` folder and run the `yarn install` command.
11. Create `localConfigs.js` file and add the following code:

```css
export default {
  title: "Vodlix",
  axios: {
    baseURL: "https://www.domain.com/api"
  },
  env: {
    apiUrl: "https://www.domain.com/api"
  },
  server: {
    port: 3000,
    host: "127.0.0.1"
  }
}
```

Note: Replace `domain.com` with your domain name and change the port if you want to run on any other port.

12. Run the `yarn build` command in the frontend folder.
13. Once the build is generated, run the following command:

```wasm
pm2 start yarn --interpreter bash --name "APP NAME" -- start
```

Replace `APP NAME` with your domain or something else. 14. Go to the `main directory > vodlix_player` and run the following commands:

```
npm install && grunt
```

These steps will help you install and set up Vodlix on your server. If you encounter any issues, refer to the documentation or contact our support team for assistance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vodlix.com/requirements/installation-and-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
